

create table olivier.civilite (
	uid integer AUTO_INCREMENT not null,
	abrege varchar(10) not null,
	libelle varchar(64) not null,
	
	primary key (uid)
);

insert into olivier.civilite (abrege, libelle) values ('M', 'Monsieur'), ('Mme', 'Madame'), ('Mlle', 'Mademoiselle'), ('Dr', 'Docteur'), ('Pr', 'Professeur'), ('Me', 'Ma�tre'), ('Mgr', 'Monseigneur'), ('Vve', 'Veuve');


create table olivier.personne (
	uid integer AUTO_INCREMENT not null,
	uid_civilite integer not null,
	sexe char(1),
	nom varchar(64) not null,
	prenom varchar(64) not null,
	adresse1 varchar(64),
	adresse2 varchar(64),
	code_postal varchar(15),
	ville varchar(64),
	maj_date timestamp not null default current_timestamp,
	
	primary key (uid),
	
	constraint check_sexe check (sexe in ('H', 'F')),
	
	constraint fk_personne_civilite foreign key (uid_civilite)
		references civilite (uid)
		on delete restrict
		on update restrict
);

insert into olivier.personne (sexe, uid_civilite, nom, prenom, adresse1, code_postal, ville) values 
('H', 1, 'BUTTERLIN', 'Olivier', '29 rue de l''Eglise', '68720', 'TAGOLSHEIM'),
('F', 2, 'UGOLIN', 'Cosimina', '29 rue de l''Eglise', '68720', 'TAGOLSHEIM');



create table olivier.telephone_type (
	uid integer AUTO_INCREMENT not null,
	code varchar(10) not null,
	libelle varchar(64),
	
	primary key (uid)
);

insert into olivier.telephone_type (code, libelle) values
('MOBILE', 'Téléphone mobile'),
('FIXE', 'Téléphone fixe'),
('BUREAU', 'Téléphone bureau');


create table olivier.personne_telephone (
	uid integer AUTO_INCREMENT not null,
	uid_personne integer not null,
	uid_telephone_type integer not null,
	numero varchar(15),
	
	primary key (uid),
	
	constraint fk_personne_telephone_personne foreign key (uid_personne)
		references personne (uid)
		on delete cascade
		on update restrict,
	
	constraint fk_personne_telephone_telephone_type foreign key (uid_telephone_type)
		references telephone_type (uid)
		on delete cascade
		on update restrict
);