package test.projet.ejb.client.session;

import test.projet.ejb.client.enums.PersistenceModeEnum;
import test.projet.ejb.client.exception.ValidationException;

public interface JPAFacade<T extends EntityUID>
{
	public T get(Integer uid);
	public T saveOrUpdate(T entity) throws ValidationException;
	public void delete(T entity) throws ValidationException;
	public void delete(Integer uid) throws ValidationException;
	public void check(T entity, PersistenceModeEnum persistenceMode) throws ValidationException;
}
