package test.projet.ejb.client.session;

import javax.ejb.Local;

import test.projet.ejb.client.dto.DTOCivilite;
import test.projet.ejb.client.dto.DTOPersonne;
import test.projet.ejb.client.dto.DTOTelephoneType;
import test.projet.ejb.client.utils.QueryResult;

@Local
public interface MonProjetFacadeLocal
{
	/*
	 * Personne
	 */
	
	public QueryResult<DTOPersonne> recherchePersonnes(String prenom, String nom, Character genre, boolean count, int first, int pageSize, String sortField, String sortOrder);
	public DTOPersonne getPersonne(Integer uid);
	public DTOPersonne saveOrUpdatePersonne(DTOPersonne dto) throws Exception;
	public void deletePersonne(Integer uid) throws Exception;
	
	/*
	 * Civilité
	 */
	
	public QueryResult<DTOCivilite> rechercheCivilites(String abreviation, String libelle, boolean count, int first, int pageSize, String sortField, String sortOrder);
	public DTOCivilite getCivilite(Integer uid);
	public DTOCivilite saveOrUpdateCivilite(DTOCivilite dto) throws Exception;
	public void deleteCivilite(Integer uid) throws Exception;
	
	/*
	 * Telephone type
	 */
	
	public QueryResult<DTOTelephoneType> rechercheTelephoneTypes(boolean count, int first, int pageSize, String sortField, String sortOrder);
	public DTOTelephoneType getTelephoneType(Integer uid);
	public DTOTelephoneType saveOrUpdateTelephoneType(DTOTelephoneType dto) throws Exception;
	public void deleteTelephoneType(Integer uid) throws Exception;
}
