package test.projet.ejb.session;

import javax.ejb.Stateless;

import test.projet.ejb.client.entity.Personne;
import test.projet.ejb.client.entity.PersonneTelephone;
import test.projet.ejb.client.enums.PersistenceModeEnum;
import test.projet.ejb.client.exception.CauseException;
import test.projet.ejb.client.exception.ValidationException;
import test.projet.ejb.client.session.PersonneFacadeLocal;
import test.projet.ejb.client.utils.Utils;

@Stateless
public class PersonneFacade extends AbstractFacade<Personne> implements PersonneFacadeLocal
{

	@Override
	public void check(Personne entity, PersistenceModeEnum persistenceMode) throws ValidationException
	{
		ValidationException ve = null;

		/*
		 * Exécution des contrôles standards
		 */
		try
		{
			super.check(entity, persistenceMode);
			ve = new ValidationException();
		}
		catch (ValidationException e)
		{
			ve = e;
		}
		
		/*
		 * Suppression des numéros à blanc
		 */
		for (PersonneTelephone telephone : entity.getPersonneTelephones())
		{
			if (!Utils.isSet(telephone.getNumero()))
			{
				entity.getPersonneTelephones().remove(telephone);
			}
			else
			{
				if (!Utils.isSet(telephone.getTelephoneType()))
				{
					ve.addCauseException(new CauseException("exception.field.required", new Object[] {"personne.telephone.type"}));
				}
	
				if (!Utils.isSet(telephone.getNumero()))
				{
					ve.addCauseException(new CauseException("exception.field.required", new Object[] {"personne.telephone.numero"}));
				}
			}
		}
		
		if (ve.hasErrors())
		{
			throw ve;
		}
	}
}
