package test.projet.ejb.client.dto;

import java.io.Serializable;
import java.util.Date;
import java.util.HashSet;
import java.util.Set;

public class DTOPersonne implements Serializable
{
	private static final long serialVersionUID = 1;
	private Integer uid;
	private Character genre;
	private String prenom;
	private String nom;
	private String adresse1;
	private String adresse2;
	private String codePostal;
	private String ville;
	private DTOCivilite civilite;
	private Date majDate;
	private Set<DTOPersonneTelephone> telephones = new HashSet<>();

	public DTOPersonne()
	{
		super();
	}

	public DTOPersonne(Integer uid, Character genre, String prenom, String nom, String adresse1, String adresse2, String codePostal, String ville, DTOCivilite civilite, Date majDate, Set<DTOPersonneTelephone> telephones)
	{
		super();
		this.uid = uid;
		this.genre = genre;
		this.prenom = prenom;
		this.nom = nom;
		this.adresse1 = adresse1;
		this.adresse2 = adresse2;
		this.codePostal = codePostal;
		this.ville = ville;
		this.civilite = civilite;
		this.majDate = majDate;
		this.telephones = telephones;
	}

	public Integer getUid()
	{
		return uid;
	}

	public void setUid(Integer uid)
	{
		this.uid = uid;
	}

	public Character getGenre()
	{
		return genre;
	}

	public void setGenre(Character genre)
	{
		this.genre = genre;
	}

	public String getPrenom()
	{
		return prenom;
	}

	public void setPrenom(String prenom)
	{
		this.prenom = prenom;
	}

	public String getNom()
	{
		return nom;
	}

	public void setNom(String nom)
	{
		this.nom = nom;
	}

	public String getAdresse1()
	{
		return adresse1;
	}

	public void setAdresse1(String adresse1)
	{
		this.adresse1 = adresse1;
	}

	public String getAdresse2()
	{
		return adresse2;
	}

	public void setAdresse2(String adresse2)
	{
		this.adresse2 = adresse2;
	}

	public String getCodePostal()
	{
		return codePostal;
	}

	public void setCodePostal(String codePostal)
	{
		this.codePostal = codePostal;
	}

	public String getVille()
	{
		return ville;
	}

	public void setVille(String ville)
	{
		this.ville = ville;
	}

	public DTOCivilite getCivilite()
	{
		return civilite;
	}

	public void setCivilite(DTOCivilite civilite)
	{
		this.civilite = civilite;
	}

	public Date getMajDate()
	{
		return majDate;
	}

	public void setMajDate(Date majDate)
	{
		this.majDate = majDate;
	}

	public Set<DTOPersonneTelephone> getTelephones()
	{
		return telephones;
	}

	public void setTelephones(Set<DTOPersonneTelephone> telephones)
	{
		this.telephones = telephones;
	}

	@Override
	public int hashCode()
	{
		final int prime = 31;
		int result = 1;
		result = prime * result + ((uid == null) ? super.hashCode() : uid.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj)
	{
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		DTOPersonne other = (DTOPersonne) obj;
		if (uid == null)
		{
			if (other.uid != null)
				return false;
		} else if (!uid.equals(other.uid))
			return false;
		return true;
	}

	@Override
	public String toString()
	{
		return "DTOPersonne [uid=" + uid + ", prenom=" + prenom + ", nom=" + nom + "]";
	}

}
