package test.projet.ejb.client.exception;

import java.util.ArrayList;
import java.util.List;

import javax.ejb.ApplicationException;
import javax.ejb.EJBException;

@ApplicationException(rollback = true)
public class ValidationException extends EJBException
{
	public static final long serialVersionUID = 1;
	private final List<CauseException> causes = new ArrayList<>();

	public ValidationException()
	{
		super();
	}

	public List<CauseException> getCauses()
	{
		return causes;
	} 
	
	public void addCauseException(CauseException causeException)
	{
		causes.add(causeException);
	}
	
	public boolean hasErrors()
	{
		if (causes.isEmpty())
		{
			return false;
		}
		return true;
	}
}
