package test.projet.administration.civilite;

import javax.ejb.EJB;
import javax.faces.view.ViewScoped;
import javax.inject.Inject;
import javax.inject.Named;

import org.primefaces.PrimeFaces;
import org.primefaces.event.SelectEvent;

import test.projet.ejb.client.dto.DTOCivilite;
import test.projet.ejb.client.session.MonProjetFacadeLocal;
import test.projet.kernel.AbstractManager;
import test.projet.kernel.enums.ApplicationPagesNamesEnum;

@Named
@ViewScoped
public class CiviliteRechercheManager extends AbstractManager
{
	public static final long serialVersionUID = 1;
	private DTOCivilite civilite;
	@EJB
	private MonProjetFacadeLocal facade;
	@Inject
	private CiviliteRechercheDataModel dataModel;

	public DTOCivilite getCivilite()
	{
		return civilite;
	}

	public void setCivilite(DTOCivilite civilite)
	{
		this.civilite = civilite;
	}

	public String getTitre()
	{
		if (civilite == null)
		{
			return null;
		}
		if (civilite.getUid() == null)
		{
			return formatMessage("civilite.dialogue.titre.create", null);
		}
		return formatMessage("civilite.dialogue.titre.update", null);
	}

	public String display()
	{
		return formatURL(getPageURL(ApplicationPagesNamesEnum.CIVILITE_RECHERCHE), true);
	}

	public void create()
	{
		civilite = new DTOCivilite();
	}
	
	public void updateRow(SelectEvent event)
	{
		DTOCivilite dto = (DTOCivilite)event.getObject();
		civilite = new DTOCivilite(dto.getUid(), dto.getAbrege(), dto.getLibelle());
	}

	public void delete(Integer uid)
	{
		try
		{
			facade.deleteCivilite(uid);
			dataModel.reset();
			PrimeFaces.current().ajax().update("form1:list1");
		}
		catch (Exception e)
		{
			sendFacesMessage(e, false);
		}
	}

	public String saveOrUpdate()
	{
		try
		{
			civilite = facade.saveOrUpdateCivilite(civilite);
			dataModel.reset();
			PrimeFaces.current().executeScript("PF('createWidget').hide()");
			PrimeFaces.current().ajax().update("form1:list1");
		}
		catch (Exception e)
		{
			sendFacesMessage(e, false);
		}
		return null;
	}
}
