package test.projet.administration.telephonetype;

import javax.ejb.EJB;
import javax.faces.view.ViewScoped;
import javax.inject.Inject;
import javax.inject.Named;

import org.primefaces.PrimeFaces;
import org.primefaces.event.SelectEvent;

import test.projet.ejb.client.dto.DTOTelephoneType;
import test.projet.ejb.client.session.MonProjetFacadeLocal;
import test.projet.kernel.AbstractManager;
import test.projet.kernel.enums.ApplicationPagesNamesEnum;

@Named
@ViewScoped
public class TelephoneTypeRechercheManager extends AbstractManager
{
	public static final long serialVersionUID = 1;
	private DTOTelephoneType telephoneType;
	@EJB
	private MonProjetFacadeLocal facade;
	@Inject
	private TelephoneTypeRechercheDataModel dataModel;

	public String display()
	{
		return formatURL(getPageURL(ApplicationPagesNamesEnum.TELEPHONETYPE_RECHERCHE), true);
	}

	public DTOTelephoneType getTelephoneType()
	{
		return telephoneType;
	}

	public void setTelephoneType(DTOTelephoneType telephoneType)
	{
		this.telephoneType = telephoneType;
	}

	public String getTitre()
	{
		if (telephoneType == null)
		{
			return null;
		}
		if (telephoneType.getUid() == null)
		{
			return formatMessage("telephoneType.dialogue.titre.create", null);
		}
		return formatMessage("telephoneType.dialogue.titre.update", null);
	}

	public void create()
	{
		telephoneType = new DTOTelephoneType();
	}
	
	public void updateRow(SelectEvent event)
	{
		DTOTelephoneType dto = (DTOTelephoneType)event.getObject();
		telephoneType = new DTOTelephoneType(dto.getUid(), dto.getCode(), dto.getLibelle());
	}

	public void delete(Integer uid)
	{
		try
		{
			facade.deleteTelephoneType(uid);
			dataModel.reset();
			PrimeFaces.current().ajax().update("form1:list1");
		}
		catch (Exception e)
		{
			sendFacesMessage(e, false);
		}
	}

	public String saveOrUpdate()
	{
		try
		{
			telephoneType = facade.saveOrUpdateTelephoneType(telephoneType);
			dataModel.reset();
			PrimeFaces.current().executeScript("PF('createWidget').hide()");
			PrimeFaces.current().ajax().update("form1:list1");
		}
		catch (Exception e)
		{
			sendFacesMessage(e, false);
		}
		return null;
	}
}
