package test.projet.kernel.jsf;

import java.util.Map;

import javax.faces.event.PhaseEvent;
import javax.faces.event.PhaseId;
import javax.faces.event.PhaseListener;

public class LifeCycleListener implements PhaseListener
{
	public static final long serialVersionUID = 1;

	public LifeCycleListener()
	{
		super();
	}

	public PhaseId getPhaseId()
	{
		return PhaseId.ANY_PHASE;
	}

	/**
	 * Au début d'une phase
	 * @author Olivier BUTTERLIN
	 */
	public void beforePhase(PhaseEvent event)
	{
		if (event.getPhaseId() == PhaseId.RESTORE_VIEW)
		{
			System.out.println(event.getPhaseId() + " --> " + event.getFacesContext().getExternalContext().getRequestServletPath());
		}
		else if (event.getPhaseId() == PhaseId.APPLY_REQUEST_VALUES)
		{
			Map<String, String> map = event.getFacesContext().getExternalContext().getRequestParameterMap();
			if (!map.isEmpty())
			{
				StringBuilder sb = new StringBuilder();
				for (String key : map.keySet())
				{
					sb.append("      ").append(key).append(" = \"").append(map.get(key).replaceAll("\r", "").replaceAll("\n", "\\\\n")).append("\"\n");
				}
				sb.delete(sb.length()-1, sb.length());
				System.out.println(event.getPhaseId() + " -->\n" + sb.toString());
			}
		}
		else if (event.getPhaseId() == PhaseId.RENDER_RESPONSE)
		{
			System.out.println("Before RENDER_RESPONSE, locale=" + event.getFacesContext().getViewRoot().getLocale());
		}
		else
		{
			System.out.println(event.getPhaseId());
		}
	}

	/**
	 * A la fin d'une phase
	 * @author Olivier BUTTERLIN
	 */
	public void afterPhase(PhaseEvent event)
	{
//		System.out.println("\n");
	}

}
