package test.projet.kernel.jsf.converter;

import javax.ejb.EJB;
import javax.enterprise.context.ApplicationScoped;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.convert.Converter;
import javax.inject.Named;

import test.projet.ejb.client.dto.DTOCivilite;
import test.projet.ejb.client.session.MonProjetFacadeLocal;

@Named
@ApplicationScoped
public class CiviliteConverter implements Converter<Object>
{
	@EJB
	private MonProjetFacadeLocal facade;

	@Override
	public Object getAsObject(FacesContext context, UIComponent component, String value)
	{
		if (value == null)
		{
			return null;
		}
		return facade.getCivilite(Integer.valueOf(value));
	}

	@Override
	public String getAsString(FacesContext context, UIComponent component, Object value)
	{
		if (value == null)
		{
			return null;
		}
		if (value instanceof DTOCivilite)
		{
			return ((DTOCivilite)value).getUid().toString();
		}
		return value.toString();
	}

}
