package test.projet.kernel.jsf.converter;

import java.text.SimpleDateFormat;

import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.convert.Converter;
import javax.faces.convert.FacesConverter;

@FacesConverter("datetimeConverter")
public class DatetimeConverter implements Converter<Object>
{
	private static final SimpleDateFormat sdf = new SimpleDateFormat("dd/MM/yyyy HH:mm");

	@Override
	public Object getAsObject(FacesContext context, UIComponent component, String value)
	{
		if (value == null)
		{
			return null;
		}
		try
		{
			return sdf.parse(value);
		}
		catch (Exception e)
		{
			return null;
		}
	}

	@Override
	public String getAsString(FacesContext context, UIComponent component, Object value)
	{
		if (value == null)
		{
			return null;
		}
		try
		{
			return sdf.format(value);
		}
		catch (Exception e)
		{
			return null;
		}
	}

}
