package test.projet.kernel.jsf.validator;

import javax.ejb.EJB;
import javax.enterprise.context.ApplicationScoped;
import javax.faces.application.FacesMessage;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.validator.Validator;
import javax.faces.validator.ValidatorException;
import javax.inject.Named;

import test.projet.ejb.client.dto.DTOTelephoneType;
import test.projet.ejb.client.session.MonProjetFacadeLocal;

@Named
@ApplicationScoped
public class TelephoneTypeValidator implements Validator<Object>
{
	@EJB
	private MonProjetFacadeLocal facade;

	@Override
	public void validate(FacesContext context, UIComponent component, Object value) throws ValidatorException
	{
		if (value == null)
		{
			throw new ValidatorException(new FacesMessage("Le type de numéro de téléphone est obigatoire"));
		}
		
		Object test = facade.getTelephoneType(((DTOTelephoneType)value).getUid());
		if (test == null)
		{
			// ce test n'a aucun sens, c'est pour montrer une injection dans un validator
		}
	}

}
