package test.projet.personne;

import java.util.List;
import java.util.Map;

import javax.annotation.PostConstruct;
import javax.ejb.EJB;
import javax.faces.view.ViewScoped;
import javax.inject.Inject;
import javax.inject.Named;

import org.primefaces.model.SortOrder;

import test.projet.ejb.client.dto.DTOPersonne;
import test.projet.ejb.client.session.MonProjetFacadeLocal;
import test.projet.ejb.client.utils.QueryResult;
import test.projet.ejb.client.utils.QueryUtils;
import test.projet.kernel.AbstractRechercheDataModel;

@Named
@ViewScoped
public class PersonneRechercheDataModel extends AbstractRechercheDataModel<DTOPersonne>
{
	private static final long serialVersionUID = 1;
	@Inject
	private PersonneRechercheOptions options;
	@EJB
	private MonProjetFacadeLocal facade;

	@PostConstruct
	public void postConstruct()
	{
		options.setChanged(true);
	}
	
	@Override
	public List<DTOPersonne> load(int first, int pageSize, String sortField, SortOrder sortOrder, Map<String, Object> filters)
	{
		boolean count = options.isChanged() ? true : false;
		options.setFirst(first);
		options.setPageSize(pageSize);
		options.setSortField(sortField);
		options.setSortOrder(sortOrder == null ? null : sortOrder.name());
		
		QueryResult<DTOPersonne> result = facade.recherchePersonnes(QueryUtils.replaceJoker(options.getPrenom()), QueryUtils.replaceJoker(options.getNom()), options.getGenre(), count, options.getFirst(), options.getPageSize(), options.getSortField(), options.getSortOrder());
		
		if (count)
		{
			setRowCount(result.getTotalRecords().intValue());
			options.setChanged(false);
		}

		return result.getRecords();
	}
}
