package test.projet.personne;

import javax.faces.view.ViewScoped;
import javax.inject.Named;

import org.primefaces.event.SelectEvent;

import test.projet.ejb.client.dto.DTOPersonne;
import test.projet.kernel.AbstractManager;
import test.projet.kernel.enums.ApplicationPagesNamesEnum;

@Named
@ViewScoped
public class PersonneRechercheManager extends AbstractManager
{
	public static final long serialVersionUID = 1;

	public String display()
	{
		return formatURL(getPageURL(ApplicationPagesNamesEnum.PERSONNE_RECHERCHE), true);
	}
	
	public void onRowClick(SelectEvent event)
	{
		DTOPersonne dtoPersonne = (DTOPersonne)event.getObject();
		if (dtoPersonne != null)
		{
			navigateTo(getPageURL(ApplicationPagesNamesEnum.PERSONNE_DETAIL), true, ApplicationPagesNamesEnum.PERSONNE_RECHERCHE.name(), dtoPersonne.getUid());
		}
	}
	
	public void create()
	{
		navigateTo(getPageURL(ApplicationPagesNamesEnum.PERSONNE_DETAIL), true, ApplicationPagesNamesEnum.PERSONNE_RECHERCHE.name(), null);		
	}
}
